function _getLoginNodes () {
	return {
		loginNode: document.getElementById('loginField'),
		passwordNode: document.getElementById('passwordField'),
		langNode: document.getElementById('langSelect'),
		htmlNode: document.getElementById('usehtmlCheckbox'),
		pidNode: document.getElementById('pidField'),
		tplNode: document.getElementById('tplField'),
		errorNode: document.getElementById('errorMsg'),
		infoNode: document.getElementById('infoMsg')
	};
}

function blindLogin(){

	var nodes = _getLoginNodes ();

	var langNode = nodes.langNode;
	var loginNode = nodes.loginNode;
	var passwordNode = nodes.passwordNode;
	var htmlNode = nodes.htmlNode;
	var pidNode = nodes.pidNode;
	var tplNode = nodes.tplNode;
	var errorNode = nodes.errorNode;
	var infoNode = nodes.infoNode;
	var loginRequest, loginBinary;

	var selectedLang = eval(langNode.value + "_string");

	loginNode.className = "input_field";
	passwordNode.className = "input_field";
	errorNode.style.display = "none";
	infoNode.style.display = "none";

	if (loginNode.value == "" && passwordNode.value == ""){
		loginNode.className = "input_field missing-field";
		passwordNode.className = "input_field missing-field";
		errorNode.style.display = "block";
		errorNode.innerHTML = selectedLang.missing_login_password;
	}
	else if (loginNode.value == ""){
		loginNode.className = "missing-field";
		errorNode.style.display = "block";
		errorNode.innerHTML = selectedLang.missing_login;
	}
	else if (passwordNode.value == ""){
		passwordNode.className = "missing-field";
		errorNode.style.display = "block";
		errorNode.innerHTML = selectedLang.missing_password;
	}
	else{

		infoNode.style.display = "block";
		infoNode.innerHTML = selectedLang.loading;
		var rndParam = Math.random () + "";
		rndParam = rndParam.substring (2);

		if (htmlNode.checked)
		{
			loginRequest = "authenticate.php?login=" + encodeURIComponent (loginNode.value) + "&lang=" + encodeURIComponent (langNode.value) + "&PID=aruba" + encodeURIComponent (pidNode.value) + "&SG_Tpl=template_ems"  + "&USEHTMLTPL=1&nocache=" + rndParam;
			loginBinary = "webmail";
		}
		else
		{
			loginRequest = "authenticate.php?login=" + encodeURIComponent (loginNode.value) + "&lang=" + encodeURIComponent (langNode.value) + "&PID=" + encodeURIComponent (pidNode.value) + "&SG_Tpl=" + encodeURIComponent (tplNode.value) + "&ACCESSIBILITY=1&nocache=" + rndParam;
			loginBinary = "amail";
		}
		var loginContent = "password=" + encodeURIComponent (passwordNode.value);


		var xhr;
		try {
			xhr = new ActiveXObject('Msxml2.XMLHTTP'); // IE
		}
		catch (e)
		{
			try {
				xhr = new ActiveXObject('Microsoft.XMLHTTP'); // < IE5+
			}
			catch (e2)
			{
				try {
					xhr = new XMLHttpRequest(); // Chrome, Firefox, Safari...
				}
				catch (e3) {xhr = false;}
			}
		}


		xhr.onreadystatechange  = function()
		{
			if(xhr.readyState  == 4) {
				infoNode.style.display = "none";
				infoNode.innerHTML = "";
				if(xhr.status  == 200){
					var xfm = eval('(' + xhr.responseText + ')');
					if (xfm.status.err_code == 0){
						document.location.href = xfm.url + "/cgi-bin/" + loginBinary +"?ID=" + xfm.sessionid + "&Act_Msgs=1";
					}
					else {
						loginNode.className = "missing-field";
						passwordNode.className = "missing-field";
						errorNode.style.display = "block";
						errorNode.innerHTML = xfm.status.err_text;
					}
				}
				else {
					errorNode.style.display = "block";
					errorNode.innerHTML = selectedLang.operation_not_performed;
				}
			 }
		};

		xhr.open("POST", loginRequest, true);
		xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded; charset=utf-8");
		xhr.send(loginContent);
	}
}

//-----------------------------------------------------------------------------
function login_getCookie(name) {
	var _cookies = ' ' + document.cookie;

	if (_cookies.indexOf(' ' + name + '=') == -1) {
			return null;
	}

	var _start = _cookies.indexOf(' ' + name + '=') + (name.length + 2);
	var _finish = _cookies.substring(_start,_cookies.length);
	_finish = (_finish.indexOf(';') == -1) ? _cookies.length : _start + _finish.indexOf(';');

	return unescape(_cookies.substring(_start,_finish));
}

//-----------------------------------------------------------------------------
function login_setCookie(name,value,expiry){
	_datenow = new Date();
	_datenow.setTime(_datenow.getTime() + Math.round(86400000*expiry));
	_expiry = _datenow.toGMTString();
	_expiry = '; expires=' + _expiry;
	_path = '; path=/';
	document.cookie = name + '=' + escape(value) + _path + _expiry ;
}

//-----------------------------------------------------------------------------
function login_deleteCookie(name) {
	_value = "";
	_datenow = new Date();
	_expiry = '; expires=Thu, 01-Jan-70 00:00:01 GMT';
	_path = '; path=/';
	document.cookie = name + '=' + escape(_value) + _path + _expiry ;
}

//-----------------------------------------------------------------------------
function login_checkCookie(){
	var nodes = _getLoginNodes ();
	var cookie_login = login_getCookie("XaM_Accessibility_Login");
	if (cookie_login) {

		nodes.loginNode.value = cookie_login;

		var cookie_password = login_getCookie("XaM_Mobile_Password");
		if (cookie_password){
			nodes.passwordNode.value = cookie_password;
		}

		var cookie_language = login_getCookie("XaM_Mobile_Language");
		var languageCombo = nodes.langNode;

		if (languageCombo && cookie_language){
			for (x=0; x<languageCombo.options.length; x++){
				if(languageCombo.options[x].value == cookie_language){
					languageCombo.options[x].selected = true;
				}
			}
		}
	}
	updateLang();
}

//-----------------------------------------------------------------------------
function selectBox(idBox){
	for(i=0;i<document.getElementsByTagName("input").length;i++){
		if((document.getElementsByTagName("input")[i].type == "checkbox") && (document.getElementsByTagName("input")[i].name == idBox)){
			document.getElementsByTagName("input")[i].checked = "true";
		}
	}
}

//-----------------------------------------------------------------------------
function hideShowSearch(){
	if (document.getElementById("menuMore").style.display == "none"){
		document.getElementById("menuMore").style.display = "";
		document.getElementById("subContent").style.opacity = "0";
	}
	else{
		document.getElementById("menuMore").style.display = "none";
		document.getElementById("subContent").style.opacity = "1";
	}
}

//-----------------------------------------------------------------------------
function goAbook(abookField){
	document.ActionForm.tmpfield.value = abookField;
	document.ActionForm.tmpfield.name = "a";
	document.ActionForm.submit();
}

//-----------------------------------------------------------------------------
function hideErrorPopup(){
	document.getElementById("errorDiv").style.display = "none";
}

//-----------------------------------------------------------------------------
function ChgPage(){
	document.msglistForm.Page.value = document.getElementById("selectPage").value;
	document.msglistForm.actiontag.name = "Act_Msgs_Page_Nth";
	document.msglistForm.submit();
}
//-----------------------------------------------------------------------------
function setCurrentHour(fieldName, plusOne){ // Calendar - add_evttpl
	var d = new Date();
	currentHour = d.getHours();
	if ((plusOne == 1) && (currentHour != 23)){
		currentHour = currentHour + 1;
	}
	document.getElementById(fieldName).selectedIndex = currentHour;
}
//-----------------------------------------------------------------------------
function updateLang(){
	var langNode = document.getElementById('langSelect');
	if (langNode.value == "pt-br"){
		var selectedLang = eval("ptbr_string");
	}
	else{
		var selectedLang = eval(langNode.value + "_string");
	}
	document.getElementById('login').innerHTML = selectedLang.login;
	document.getElementById('password').innerHTML = selectedLang.password;
	document.getElementById('login_button').value = selectedLang.login_button;
	document.getElementById('htmltext').innerHTML = selectedLang.htmltext;
	if (document.getElementById('language')) document.getElementById('language').innerHTML = selectedLang.language;
	if (document.getElementById('theme')) document.getElementById('theme').innerHTML = selectedLang.theme;
	if (document.getElementById('remember')) document.getElementById('remember').innerHTML = selectedLang.remember;
	if (document.getElementById('webmail_link')) document.getElementById('webmail_link').innerHTML = selectedLang.webmail_link;
}
